%define version 1.29
%define release 1

Summary: Transfers files between an Apple Newton PDA and Linux systems.
Name: newtonlink
Version: %{version}
Release: %{release}
Group: Applications/Communications
Copyright: GPL
Source: http://privat.swol.de/ReinholdSchoeb/Newton/newtonlink-1.29.tar.gz
URL: http://misf67.cern.ch/~reinhold/Newton/newtonlink-doc-en.html
BuildArchitectures: noarch
Buildroot: /var/tmp/newtonlink-root

%description
Transfers data between an Apple Newton PDA and Unix/Linux applications
like xrolodex, addressbook, plan, kjots, xfmail and Netscape.  You can
also use newtonlink to install and upload Newton packages to and from
your workstation/PC.

%prep
%setup -q

%build

%install
perl install.pl <<EOF
n
/usr/bin/perl
/usr/bin/wish
install
netscape
$RPM_BUILD_ROOT/usr/lib/newtonlink-%{version}
$RPM_BUILD_ROOT/usr/doc/newtonlink-%{version}
$RPM_BUILD_ROOT/etc
$RPM_BUILD_ROOT/usr/man/man1
$RPM_BUILD_ROOT/var/run
y
EOF

mkdir -p $RPM_BUILD_ROOT/usr/bin/
cd $RPM_BUILD_ROOT/usr/bin

ln -sf ../lib/newtonlink-%{version}/newtonlink newtonlink

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README  $RPM_BUILD_ROOT/usr/lib/newtonlink-%{version}/COPYRIGHT 
%doc $RPM_BUILD_ROOT/usr/lib/newtonlink-%{version}/GNU_GPL 
%doc $RPM_BUILD_ROOT/usr/lib/newtonlink-%{version}/README 
%doc $RPM_BUILD_ROOT/usr/lib/newtonlink-%{version}/doc/*.html
/usr/bin/newtonlink
/usr/lib/newtonlink-%{version}
/usr/man/man1/newtonlink.1
/etc/newtonlink.config

%changelog
* Tue Jul 20 1999 Tim Powers <timp@redhat.com>
- updated source to 1.29
- cleaned up spec file for easier maint.
- built for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0/

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- rebuilt pacakge for 5.2

* Tue Jan 13 1998 Otto Hammersmith <otto@redhat.com>
- updated package
- added buildroot
- added changelog

* Tue Jan 13 1998 Otto Hammersmith <otto@redhat.com>
- built the package
